var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect, useState } from 'react';
import dynamic from 'next/dynamic';
import { isNil } from 'lodash';
import { _window } from 'primeobjects-helper-util';
import { CSS } from 'primeobjects-ui-web-basic/build/cjs/controls/css';
import { HTML_EDITOR_CSS } from 'primeobjects-ui-web-html/build/cjs/html-css';
export var HtmlEditorLoader = function (props) {
    var loadingContent = !isNil(props.loadingContent) ? props.loadingContent : React.createElement("p", null, "...");
    var className = props.className ? props.className : '';
    var style = props.style ? props.style : {};
    var _a = useState(0), ready = _a[0], setReady = _a[1];
    useEffect(function () {
        if (!_window.HtmlEditor) {
            _window.HtmlEditor = dynamic(function () { return import("primeobjects-ui-web-html/build/cjs/html-editor"); }, { ssr: false });
        }
        setReady(1);
    }, []);
    var HtmlEditor = _window.HtmlEditor;
    return React.createElement(React.Fragment, null,
        ready >= 1 && React.createElement(HtmlEditor, __assign({}, props, { className: ready == 2 ? className : "".concat(className, " hidden"), onReady: function () { setReady(2); } })),
        React.createElement(CSS, { id: "html-editor-css", content: HTML_EDITOR_CSS }),
        ready != 2 && React.createElement("div", { className: className, style: style }, loadingContent));
};
export default HtmlEditorLoader;
